Update Tax Rates
Update one or more tax rates. Only the tax rate id field is required. Fields unspecified by the request will retain their current state.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects a list of objects.
id
Tax Rate ID. Internal identifier to update and delete a specific tax rate.
class_rates
Tax rates for tax classes. You must assign at least one tax rate for each tax class defined on a store.
enabled
Indicates whether a tax rate is enabled. Tax operations are only for enabled zones.
name
The human-readable name for this tax zone. The name appears in the store control panel and may be visible to shoppers, depending on store tax settings.
priority
Allows for compounding tax rates, common in certain jurisdictions.
tax_zone_id
ID of an associated tax zone. You must associate a tax rate with a tax zone.
Response
OK
data
meta
Response metadata.